[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# fpGetPriority

Return process priority

## Declaration

Source position: bunxh.inc line 105

`function fpGetPriority(`
`Which: cint;`
`Who: cint`
`):cint;`

## Description

GetPriority returns the priority with which a process is running. Which process(es) is determined by the Which and Who variables. Which can be one of the predefined Prio_Process, Prio_PGrp, Prio_User, in which case Who is the process ID, Process group ID or User ID, respectively.

For an example, see FpNice.

## Errors

Error information is returned solely by the FpGetErrno function: a priority can be a positive or negative value.

sys_esrch
  No process found using which and who.
sys_einval
  Which was not one of Prio_Process, Prio_Grp or Prio_User.

## See also

FpSetPriority |  | Set process priority
FpNice |  | Set process priority